if(isObject(SkeletonHoleBot))
	return;

datablock PlayerData(SkeletonHoleBot : PlayerStandardArmor)
{
	uiName = "";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 0;
	maxWeapons = 0;
	maxTools = 0;
	runforce = 100 * 90;
	maxForwardSpeed = 8;
	maxBackwardSpeed = 4;
	maxSideSpeed = 8;
	attackpower = 10;
	rideable = false;
	canRide = false;

	paintable = false;
};

datablock ShapeBaseImageData(RibcageImage)
{
	shapeFile = "./ribcage.dts";
	emap = true;
	mountPoint = 2;
	offset = "0 0 -0.6";
	eyeOffset = "0 0 0.4";
	rotation = eulerToMatrix("0 0 0");
	scale = "1 1 1";
	doColorShift = false;
	colorShiftColor = "0.000 0.500 0.250 1.000";
};

function SkeletonHoleBot::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);

	%obj.lhand =  "0";
	%obj.hip =  "0";
	%obj.faceName =  "SkeletonSmiley";
	%obj.rarmColor =  "1 1 1 1";
	%obj.hipColor =  "1 1 1 1";
	%obj.chest =  "0";
	%obj.rarm =  "1";
	%obj.decalName =  "AAA-None";
	%obj.larmColor =  "1 1 1 1";
	%obj.larm =  "1";
	%obj.chestColor =  "1 1 1 1";
	%obj.accentColor =  "1 1 1 1";
	%obj.rhandColor =  "1 1 1 1";
	%obj.rleg =  "0";
	%obj.accent =  "1";
	%obj.headColor =  "1 1 1 1";
	%obj.rhand =  "0";
	%obj.lleg =  "0";
	%obj.lhandColor =  "1 1 1 1";

	%obj.hat =  "0";
	%obj.hatColor =  "1 1 1 1";
	%obj.pack =  "0";
	%obj.packColor =  "1 1 1 1";
	%obj.secondPack =  "0";
	%obj.secondPackColor =  "1 1 1 1";
	%obj.llegColor =  "1 1 1 1";
	%obj.rlegColor =  "1 1 1 1";

	%obj.mountimage(ribcageImage, 2);

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);

	%obj.hideNode(chest);
	%obj.hideNode(pants);

	%obj.setNodeColor("ALL", "1 1 1 1");
}
