if(isObject(RaptorHoleBot))
	return;

datablock TSShapeConstructor(RaptorDts)
{
	baseShape  = "./Raptor.dts";
	sequence0  = "./Raptor_root.dsq root";

	sequence1  = "./Raptor_Walk.dsq run";
	sequence2  = "./Raptor_Walk.dsq walk";
	sequence3  = "./Raptor_Walk.dsq back";
	sequence4  = "./Raptor_Walk.dsq side";

	sequence5  = "./Raptor_Root.dsq crouch";
	sequence6  = "./Raptor_Sprint.dsq crouchRun";
	sequence7  = "./Raptor_Walk.dsq crouchBack";
	sequence8  = "./Raptor_Sprint.dsq crouchSide";

	sequence9  = "./Raptor_look.dsq look";
	sequence10 = "./Raptor_root.dsq headside";
	sequence11 = "./Raptor_root.dsq headUp";

	sequence12 = "./Raptor_jump.dsq jump";
	sequence13 = "./Raptor_jump.dsq standjump";
	sequence14 = "./Raptor_jump.dsq fall";
	sequence15 = "./Raptor_pounce.dsq land";

	sequence16 = "./Raptor_biting.dsq armAttack";
	sequence17 = "./Raptor_armsup.dsq armReadyLeft";
	sequence18 = "./Raptor_armready.dsq armReadyRight";
	sequence19 = "./Raptor_armsup.dsq armReadyBoth";
	sequence20 = "./Raptor_mouthopen.dsq spearready";
	sequence21 = "./Raptor_root.dsq spearThrow";

	sequence22 = "./Raptor_biting.dsq talk";

	sequence23 = "./Raptor_death.dsq death1";

	sequence24 = "./Raptor_root.dsq shiftUp";
	sequence25 = "./Raptor_root.dsq shiftDown";
	sequence26 = "./Raptor_root.dsq shiftAway";
	sequence27 = "./Raptor_root.dsq shiftTo";
	sequence28 = "./Raptor_root.dsq shiftLeft";
	sequence29 = "./Raptor_root.dsq shiftRight";
	sequence30 = "./Raptor_root.dsq rotCW";
	sequence31 = "./Raptor_root.dsq rotCCW";

	sequence32 = "./Raptor_root.dsq undo";
	sequence33 = "./Raptor_root.dsq plant";

	sequence34 = "./Raptor_sit.dsq sit";

	sequence35 = "./Raptor_root.dsq wrench";

   sequence36 = "./Raptor_activate.dsq activate";
   sequence37 = "./Raptor_bite.dsq activate2";

   sequence38 = "./Raptor_root.dsq leftrecoil";
};


datablock PlayerData(RaptorHoleBot : PlayerStandardArmor)
{
	shapeFile = "./Raptor.dts";
	uiName = "";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;
	maxWeapons = 5;
	maxTools = 5;

	rideable = false;
	canRide = false;
	paintable = false;

	mass = 200;
	drag = 0.02;//0.02
	density = 0.80;//0.6
	runSurfaceAngle = 70;
	jumpSurfaceAngle = 70;
    runForce = 90 * 90;

   maxForwardSpeed = 5;
   maxBackwardSpeed = 5;
   maxSideSpeed = 2;

   maxForwardCrouchSpeed = 20;
   maxBackwardCrouchSpeed = 5;
   maxSideCrouchSpeed = 4;

   maxForwardProneSpeed = 0;
   maxBackwardProneSpeed = 0;
   maxSideProneSpeed = 0;

   maxForwardWalkSpeed = 5;
   maxBackwardWalkSpeed = 5;
   maxSideWalkSpeed = 2;

   maxUnderwaterForwardSpeed = 5;
   maxUnderwaterBackwardSpeed = 5;
   maxUnderwaterSideSpeed = 2;

	maxStepHeight = 1;

	showEnergyBar = false;

	jumpForce = 2400;

	boundingBox			= vectorScale("1.25 1.25 2.5", 4); //"2.5 2.5 2.4";
	crouchBoundingBox	= vectorScale("1.25 1.25 2.5", 4); //"2.5 2.5 2.4";
	proneBoundingBox	= vectorScale("1.25 1.25 2.5", 4); //"2.5 2.5 2.4";
};
